
def word2vec_example(text):
    from gensim.models import Word2Vec
    from gensim.models.word2vec import LineSentence

    # Create a Word2Vec model
    model = Word2Vec(LineSentence(text), vector_size=100, window=5, min_count=5, workers=4)

    # Train the model
    model.build_vocab(text)
    model.train(text, total_examples=model.corpus_count, epochs=model.epochs)

    # Get the vector for a specific word
    word_vector = model.wv['king']

    return word_vector



